cURL
curl --request GET \
--url https://api.youappz.dev/aliases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youappz.dev/aliases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youappz.dev/aliases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youappz.dev/aliases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youappz.dev/aliases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youappz.dev/aliases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youappz.dev/aliases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"aliases": [
{
"id": 123,
"teamId": "<string>",
"alias": "<string>",
"domain": "<string>",
"zoneId": "<string>",
"target": "<string>",
"redirect": "<string>",
"redirectStatusCode": 123,
"createdAt": 123,
"updatedAt": 123,
"createdBy": 123,
"deploymentId": "<string>",
"projectId": "<string>"
}
],
"pagination": {
"count": 20,
"next": 1540095775951,
"prev": 1540095775951
}
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}aliases
List Aliases
Retrieves a list of aliases for the authenticated User or Team. When domain is provided, only aliases for that domain will be returned. When projectId is provided, it will only return the given project aliases.
GET
/
aliases
cURL
curl --request GET \
--url https://api.youappz.dev/aliases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youappz.dev/aliases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youappz.dev/aliases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youappz.dev/aliases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youappz.dev/aliases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youappz.dev/aliases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youappz.dev/aliases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"aliases": [
{
"id": 123,
"teamId": "<string>",
"alias": "<string>",
"domain": "<string>",
"zoneId": "<string>",
"target": "<string>",
"redirect": "<string>",
"redirectStatusCode": 123,
"createdAt": 123,
"updatedAt": 123,
"createdBy": 123,
"deploymentId": "<string>",
"projectId": "<string>"
}
],
"pagination": {
"count": 20,
"next": 1540095775951,
"prev": 1540095775951
}
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter aliases from the given projectId
Example:
"prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB"
The Team identifier or Team slug to perform the request on behalf of.
Example:
"team_xbtegd63gdg5636gdg"
Maximum number of aliases to list from a request
Example:
20
Get aliases created after this JavaScript timestamp
Example:
"1540095775941"
Get aliases created before this JavaScript timestamp
Example:
"1540095775941"
Response
The paginated list of aliases